#!/usr/bin/perl
#!c:\Perl\bin\perl.exe

# PL0003.pm	
# HTML_SONDERZ_URL - URL-Codierung von Sonderzeichen, z.B. %20
# (Linux / Windows)

package EIGEN::HTML::PL0003;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;

@ISA       = qw(Exporter AuoLoader);
@EXPORT    = qw();
@EXPORT_OK = qw(HTML_SONDERZ_URL);
$VERSION   = '1.0.0';


##################################################################
# Voreinstellungen:
##################################################################


##################################################################
# Subroutinen:
##################################################################

##################################################################
# HTML_SONDERZ_URL
#
# Tauscht Sonderzeichen in URL-Code
# ISO-8859-1-Code (8-Bit-ASCII-Code)
#
# input: $String,"all" bzw. ""
#
# output:$String
#
##################################################################
sub HTML_SONDERZ_URL
{
 my ($String) = $_[0];
 if($_[1] eq "all"
 {
  use URI::Escape;
  my $safe = uri_escape($String);
  return ($safe);
 }
 $String =~ s/"/%22/mg;
 $String =~ s/#/%23/mg;
 $String =~ s/\$/%24/mg;
 $String =~ s/%/%25/mg;
 $String =~ s/&/%26/mg;
 $String =~ s/'/%27/mg;
 $String =~ s/\+/%2b/mg;
 $String =~ s/\//%2f/mg;
 $String =~ s/:/%3a/mg;
 $String =~ s/;/%3b/mg;
 $String =~ s/</%3c/mg;
 $String =~ s/=/%3d/mg;
 $String =~ s/>/%3e/mg;
 $String =~ s/\?/%3f/mg;
 $String =~ s/@/%40/mg;
 $String =~ s/\[/%5b/mg;
 $String =~ s/\\/%5c/mg;
 $String =~ s/\]/%5d/mg;
 $String =~ s/\^/%5e/mg;
 $String =~ s/_/%5f/mg;
 $String =~ s/`/%60/mg;
 $String =~ s/\{/%7b/mg;
 $String =~ s/\|/%7c/mg;
 $String =~ s/\}/%7d/mg;
 $String =~ s/~/%7e/mg;
 $String =~ s//%80/mg;
 $String =~ s//%83/mg;
 $String =~ s//%89/mg;
 $String =~ s//%90/mg;
 $String =~ s//%97/mg;
 $String =~ s//%a1/mg;
 $String =~ s//%a2/mg;
 $String =~ s//%a3/mg;
 $String =~ s//%a4/mg;
 $String =~ s//%a5/mg;
 $String =~ s//%a6/mg; 
 $String =~ s//%a7/mg; 
 $String =~ s//%a8/mg;     
 $String =~ s//%a9/mg;
 $String =~ s//%aa/mg;
 $String =~ s//%ab/mg; 
 #$String =~ s//&not;/mg;
 $String =~ s//%ae/mg; 
 #$String =~ s//&hibar;/mg;
 $String =~ s//%b0/mg; 
 $String =~ s//%b1/mg; 
 $String =~ s//%b2/mg; 
 $String =~ s//%b3/mg; 
 $String =~ s//%b4/mg;
 $String =~ s//%b5/mg; 
 $String =~ s//%b6/mg;
 $String =~ s/\n/%b6/mg;
 $String =~ s/\s/%b6/mg;
 $String =~ s//%b7/mg;
 $String =~ s//%b8/mg;
 $String =~ s//%b9/mg;
 $String =~ s//%ba/mg;
 $String =~ s//%bb/mg; 
 $String =~ s//%bc/mg; 
 $String =~ s//%bd/mg; 
 $String =~ s//%be/mg; 
 $String =~ s//%bf/mg; 
 $String =~ s//%c0/mg; 
 $String =~ s//%c1/mg; 
 $String =~ s//%c2/mg; 
 $String =~ s//%c3/mg; 
 $String =~ s//%c4/mg;  
 $String =~ s//%c5/mg;
 $String =~ s//%c6/mg;
 $String =~ s//%c7/mg;
 $String =~ s//%c8/mg; 
 $String =~ s//%c9/mg; 
 $String =~ s//%ca/mg;
 $String =~ s//%cb/mg;
 $String =~ s//%cc/mg;
 $String =~ s//%cd/mg;
 $String =~ s//%ce/mg;
 $String =~ s//%cf/mg;
 $String =~ s//%d0/mg;
 $String =~ s//%d1/mg;
 $String =~ s//%d2/mg;
 $String =~ s//%d3/mg;
 $String =~ s//%d4/mg;
 $String =~ s//%d5/mg;
 $String =~ s//%d6/mg;
 $String =~ s//%d7/mg;   
 $String =~ s//%d8/mg;
 $String =~ s//%d9/mg;
 $String =~ s//%da/mg;
 $String =~ s//%db/mg;  
 $String =~ s//%dc/mg; 
 $String =~ s//%dd/mg;
 $String =~ s//%de/mg;
 $String =~ s//%df/mg; 
 $String =~ s//%e0/mg; 
 $String =~ s//%e1/mg; 
 $String =~ s//%e2/mg;
 $String =~ s//%e3/mg;
 $String =~ s//%e4/mg;   
 $String =~ s//%e5/mg;
 $String =~ s//%e6/mg;
 $String =~ s//%e7/mg;
 $String =~ s//%e8/mg; 
 $String =~ s//%e9/mg; 
 $String =~ s//%ea/mg;
 $String =~ s//%eb/mg;
 $String =~ s//%ec/mg;  
 $String =~ s//%ed/mg;
 $String =~ s//%ee/mg;
 $String =~ s//%ef/mg;
 $String =~ s//%f0/mg;
 $String =~ s//%f1/mg;
 $String =~ s//%f2/mg;
 $String =~ s//%f3/mg;
 $String =~ s//%f4/mg;
 $String =~ s//%f5/mg;  
 $String =~ s//%f6/mg; 
 $String =~ s//%f7/mg;
 $String =~ s//%f8/mg;
 $String =~ s//%f9/mg;
 $String =~ s//%fa/mg;
 $String =~ s//%fb/mg;
 $String =~ s//%fc/mg; 
 $String =~ s//%fd/mg;
 $String =~ s//%fe/mg;
 $String =~ s//%ff/mg;
 $String =~ s/ /%20/mg; 
     
 return($String);
} 

1;
__END__

=head1 NAME

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 AUTHOR

=head1SEE ALSO

=cut